signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
misc.h File Reference
`#include <QFile>`
Include dependency graph for misc.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
bool | setUserOwnership (const QString &filePath)
bool | setFilePermissions (const QString &filePath, const QFile::Permissions permissions, bool keepExisting=true)

## Variables
const QFile::Permissions | signonFilePermissions

## Function Documentation

bool setFilePermissions | ( | const QString & | filePath,
|  | const QFile::Permissions | permissions,
|  | bool | keepExisting = `true`
| ) |  |

Definition at line 50 of file misc.cpp.

Referenced by PartitionHandler::createPartitionFile().

bool setUserOwnership | ( | const QString & | filePath | ) |

Definition at line 33 of file misc.cpp.

References BLAME.

## Variable Documentation

const QFile::Permissions signonFilePermissions

Initial value:
=
QFile::WriteUser | QFile::ReadUser

Definition at line 29 of file misc.h.

Referenced by PartitionHandler::createPartitionFile().